# Login

## Login

The Login API allows login to Praxell applications

## Input Parameters:

| Name                     | Required | Definition                                                                                               | Comments |
| ------------------------ | -------- | -------------------------------------------------------------------------------------------------------- | -------- |
| AuthenticationCode       | C        | <p>Format: Alphanumeric, 10<br>Description: Required if PortalUserName & Password are provided(PDP)</p>  | Future   |
| DeviceAuthenticationCode | C        | <p>Format: Alphanumeric, 10<br>Description: Required if PortalUserName & Password are provided(PDP)</p>  | Future   |
| DeviceBrowserType        | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceBrowserVersion     | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceColorDepth         | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceCookiesEnablement  | C        | <p>Format: Y/N<br>Description: Required if PortalUserName & Password are provided(PDP)</p>               | Future   |
| DeviceGeolocation        | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceOSType             | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceOSVersion          | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceScreenSize         | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |
| DeviceTimeZone           | C        | <p>Format: Alphanumeric, 100<br>Description: Required if PortalUserName & Password are provided(PDP)</p> | Future   |

## Output Parameters:

| Name                             | Definition                                                                                                                                                                              | Failure Case | Success Case | Comments |
| -------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------- |
| AuthenticationCode               | <p>Format: Alphanumeric, 10<br>Description: Required if PortalUserName & Password are provided(PDP)</p>                                                                                 | Not returned | Returned     | Future   |
| AuthenticationContactDisplayName | <p>Format: Alphanumeric, 60<br>Description: Relevant if PortalUserName & Password are provided(PDP)</p>                                                                                 | Not returned | Returned     | Future   |
| AuthenticationContactUser        | <p>Format: Alphanumeric, 60<br>Description: Relevant if PortalUserName & Password are provided(PDP)</p>                                                                                 | Not returned | Returned     | Future   |
| AuthenticationRequestStatus      | <p>Format options:<br>Authenticated<br>NotAuthenticatedWarning<br>NotAuthenticated<br>AuthenticationCreated<br>Description: Relevant if PortalUserName & Password are provided(PDP)</p> | Not returned | Returned     | Future   |
| BrandStyle                       | Format: Alphanumeric, 5                                                                                                                                                                 | Not returned | Returned     |          |
| Email                            | <p>Format: a-z (upper or lower), numbers, dash and underscore, 5-40<br>Description: Possible pattern: <x@x.x></p>                                                                       | Not returned | Returned     | Future   |
| FirstName                        | Format: Alphanumeric, 10                                                                                                                                                                | Not returned | Returned     | Future   |
| Timeout                          | Format: Numeric, 3                                                                                                                                                                      | Not returned | Returned     |          |
| UserRoleId                       | Format: Alphanumeric, 10                                                                                                                                                                | Not returned | Returned     |          |
| LastLoginTime                    | Format: YYYY-MM-DD HH:MM:SS                                                                                                                                                             | Not returned | Returned     |          |
| LastName                         | Format: Alphanumeric, 15                                                                                                                                                                | Not returned | Returned     | Future   |
| OrgAddressLine1                  | Format: Alphanumeric, 30                                                                                                                                                                | Not returned | Returned     | Future   |
| OrgAddressLine2                  | Format: Alphanumeric, 30                                                                                                                                                                | Not returned | Returned     | Future   |
| OrgCity                          | Format: Alphanumeric, 20                                                                                                                                                                | Not returned | Returned     | Future   |
| OrgCountry                       | Format: Alphanumeric, 3                                                                                                                                                                 | Not returned | Returned     | Future   |
| OrgEmail                         | <p>Format: a-z (upper or lower), numbers, dash and underscore, 5-40<br>Description: Possible pattern: <x@x.x></p>                                                                       | Not returned | Returned     | Future   |
| OrgFax                           | Format: Alphanumeric, 10                                                                                                                                                                | Not returned | Returned     | Future   |
| OrgId                            | <p>Format: Alphanumeric, 20<br>Value can be multiple org\_id’s split by commas</p>                                                                                                      | Not returned | Returned     | Future   |
| OrgName                          | Format: Alphanumeric, 1-30                                                                                                                                                              | Not returned | Returned     | Future   |
| OrgPhone                         | Format: Alphanumeric, 10                                                                                                                                                                | Not returned | Returned     | Future   |
| OrgRoleId                        | Format: Alphanumeric, 10                                                                                                                                                                | Not returned | Returned     |          |
| OrgState                         | Format: Alphanumeric, 2                                                                                                                                                                 | Not returned | Returned     | Future   |
| OrgZip                           | Format: Alphanumeric, 5                                                                                                                                                                 | Not returned | Returned     | Future   |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
 <PraxellXMLRequest>
   <AuthenticationDetails>
      <UserName></UserName>
      <UserPassword></UserPassword>
      <AuthCardNumber>9999999999998000</AuthCardNumber>
      <AuthPIN>1234</AuthPIN>
      <TerminalId></TerminalId>
      <ExternalStoreId></ExternalStoreId>
      <NetworkId></NetworkId>
      <SessionId></SessionId>
     <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
   <ServiceDetails>
     <ServiceName>Login</ServiceName>
     <UniqueRequestId>1212121212121213</UniqueRequestId>
   </ServiceDetails>
   <Origin>
       <OriginType>ExtAPI</OriginType>
   </Origin>
   <ServiceParams>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
   <PraxellXMLResponse>
     <ResponseDetails>
         <ServiceName>Login</ServiceName>
         <SessionId>38012411200857032</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2008-03-12 11:57:25</ServiceDate>
        <ServiceId>38012411200857032</ServiceId>
    </ResponseDetails>
    <ResponseParams>
       <BrandStyle></BrandStyle>
       <Timeout>30</Timeout>
       <UserRoleId>CH</UserRoleId>
       <LastLoginTime></LastLoginTime>
       <OrgRoleId>Store</OrgRoleId>
  </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>Login</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/login.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
